[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#435201: Patch for htdig's noisy cron



tags 435201 patch
thanks

Here's a patch for htdig's daily cron script to exit silently if it is not installed.

--
\0
diff -ruN htdig-3.2.0b6/debian/htdig.cron.daily htdig-3.2.0b6-new/debian/htdig.cron.daily
--- htdig-3.2.0b6/debian/htdig.cron.daily	2007-08-04 16:22:58.000000000 +1000
+++ htdig-3.2.0b6-new/debian/htdig.cron.daily	2007-08-04 16:38:38.000000000 +1000
@@ -1,5 +1,9 @@
 #!/bin/sh
 
+if ! `which lockfile-create >/dev/null 2>&1` || [ ! -x /usr/bin/rundig ]; then
+	exit 0
+fi
+
 if ! lockfile-create /var/run/htdig.cron; then
     # Another htdig indexing cronjob is already running
     exit 0

Reply to: